.red {
  color: #e74c3c;
}
.blue {
  color: #3498db;
}

[class*="stage-"] {
  width: 300px;
  height: 500px;
  border: 2px solid #34495e;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  margin: auto;
  /* display: none; */
  text-align: center;
  border-radius: 5px;
  box-shadow: 5px 5px 5px rgba(0, 0, 0, 0.15);
  overflow: hidden;
}

[class*="stage-"] .logo {
  width: 150px;
  height: 150px;
  border-top: 10px solid #3498db;
  border-right: 10px solid #3498db;
  border-left: 10px solid #e74c3c;
  border-bottom: 10px solid #e74c3c;
  border-radius: 50%;
  transform: rotate(-45deg);
  margin: 50px auto;
  cursor: pointer;
  position: relative;
  transition: all 0.3s ease;
}

[class*="stage-"] .logo:before {
  content: "";
  position: absolute;
  border-left: 50px solid #fff;
  border-top: 25px solid transparent;
  border-bottom: 25px solid transparent;
  transform: rotate(45deg);
  top: 50%;
  left: 50%;
  margin-left: -20px;
  margin-top: -20px;
}

[class*="stage-"] .logo:hover {
  transform: scale(1.1) rotate(-45deg);
}

[class*="stage-"].stage-home {
  display: block;
}

[class*="stage-"].stage-play .mask {
  position: absolute;
  z-index: 1;
  width: 100%;
  height: 20%;
  background-color: #2c3e50;
  bottom: 0;
  left: 0;
}

[class*="stage-"].stage-play .btn {
  width: 60px;
  height: 60px;
  background-color: #2c3e50;
  border-radius: 50%;
  position: absolute;
  z-index: 2;
  bottom: 8.5%;
  border-top: 5px solid #3498db;
  border-right: 5px solid #3498db;
  border-left: 5px solid #e74c3c;
  border-bottom: 5px solid #e74c3c;
  transform: rotate(-45deg);
  cursor: pointer;
  transition: all 0.3s ease;
}

[class*="stage-"].stage-play .btn.red {
  transform: rotate(135deg);
}

[class*="stage-"].stage-play .btn.left {
  left: 52px;
}

[class*="stage-"].stage-play .btn.right {
  right: 52px;
}

[class*="stage-"].stage-play .dots {
  position: absolute;
  width: 150px;
  height: 20px;
  top: -20px;
  left: 0;
  right: 0;
  margin: 0 auto;
  z-index: 0;
}

[class*="stage-"].stage-play .dots .dot {
  position: absolute;
  width: 20px;
  height: 20px;
  border-radius: 50%;
}

[class*="stage-"].stage-play .dots .dot:first-of-type {
  left: 0;
}

[class*="stage-"].stage-play .dots .dot:last-of-type {
  right: 0;
}

[class*="stage-"].stage-play .dots .dot.red {
  background-color: #e74c3c;
}

[class*="stage-"].stage-play .dots .dot.blue {
  background-color: #3498db;
}
